DisplayPipeline.Draw3dText Method (String, Color, Plane, Double, String, Boolean, Boolean, TextHorizontalAlignment, TextVerticalAlignment)
Click or drag to resize

DisplayPipelineDraw3dText Method (String, Color, Plane, Double, String, Boolean, Boolean, TextHorizontalAlignment, TextVerticalAlignment)

[Missing <summary> documentation for "M:Rhino.Display.DisplayPipeline.Draw3dText(System.String,System.Drawing.Color,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.DocObjects.TextHorizontalAlignment,Rhino.DocObjects.TextVerticalAlignment)"]

Namespace:  Rhino.Display
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public void Draw3dText(
	string text,
	Color color,
	Plane textPlane,
	double height,
	string fontface,
	bool bold,
	bool italic,
	TextHorizontalAlignment horizontalAlignment,
	TextVerticalAlignment verticalAlignment
)

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:Rhino.Display.DisplayPipeline.Draw3dText(System.String,System.Drawing.Color,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.DocObjects.TextHorizontalAlignment,Rhino.DocObjects.TextVerticalAlignment)"]

color
Type: System.DrawingColor

[Missing <param name="color"/> documentation for "M:Rhino.Display.DisplayPipeline.Draw3dText(System.String,System.Drawing.Color,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.DocObjects.TextHorizontalAlignment,Rhino.DocObjects.TextVerticalAlignment)"]

textPlane
Type: Rhino.GeometryPlane

[Missing <param name="textPlane"/> documentation for "M:Rhino.Display.DisplayPipeline.Draw3dText(System.String,System.Drawing.Color,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.DocObjects.TextHorizontalAlignment,Rhino.DocObjects.TextVerticalAlignment)"]

height
Type: SystemDouble

[Missing <param name="height"/> documentation for "M:Rhino.Display.DisplayPipeline.Draw3dText(System.String,System.Drawing.Color,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.DocObjects.TextHorizontalAlignment,Rhino.DocObjects.TextVerticalAlignment)"]

fontface
Type: SystemString

[Missing <param name="fontface"/> documentation for "M:Rhino.Display.DisplayPipeline.Draw3dText(System.String,System.Drawing.Color,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.DocObjects.TextHorizontalAlignment,Rhino.DocObjects.TextVerticalAlignment)"]

bold
Type: SystemBoolean

[Missing <param name="bold"/> documentation for "M:Rhino.Display.DisplayPipeline.Draw3dText(System.String,System.Drawing.Color,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.DocObjects.TextHorizontalAlignment,Rhino.DocObjects.TextVerticalAlignment)"]

italic
Type: SystemBoolean

[Missing <param name="italic"/> documentation for "M:Rhino.Display.DisplayPipeline.Draw3dText(System.String,System.Drawing.Color,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.DocObjects.TextHorizontalAlignment,Rhino.DocObjects.TextVerticalAlignment)"]

horizontalAlignment
Type: Rhino.DocObjectsTextHorizontalAlignment

[Missing <param name="horizontalAlignment"/> documentation for "M:Rhino.Display.DisplayPipeline.Draw3dText(System.String,System.Drawing.Color,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.DocObjects.TextHorizontalAlignment,Rhino.DocObjects.TextVerticalAlignment)"]

verticalAlignment
Type: Rhino.DocObjectsTextVerticalAlignment

[Missing <param name="verticalAlignment"/> documentation for "M:Rhino.Display.DisplayPipeline.Draw3dText(System.String,System.Drawing.Color,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.DocObjects.TextHorizontalAlignment,Rhino.DocObjects.TextVerticalAlignment)"]

Version Information

Rhino for Windows

Supported in: 6.7
See Also